RDKit: RDKit::ExclusionList Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::ExclusionList Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::ExclusionList:

## Public Member Functions
| ExclusionList ()
| ExclusionList (std::vector< boost::shared_ptr< FilterMatcherBase > > offPatterns)
std::string | getName () const override
bool | isValid () const override
void | addPattern (const FilterMatcherBase &base)
void | setExclusionPatterns (const std::vector< boost::shared_ptr< FilterMatcherBase > > &offPatterns)
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &) const override
| getMatches
bool | hasMatch (const ROMol &mol) const override
| hasMatches
boost::shared_ptr< FilterMatcherBase > | copy () const override
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (std::string name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const

## Detailed Description

Definition at line 383 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## ◆ ExclusionList() [1/2]

RDKit::ExclusionList::ExclusionList | ( |  | ) |
| inline

Definition at line 387 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase().

Referenced by copy().

## ◆ ExclusionList() [2/2]

RDKit::ExclusionList::ExclusionList | ( | std::vector< boost::shared_ptr< FilterMatcherBase > > | offPatterns | ) |
| inline

Constructs an ExclusionList true if non of the FilterMatcherBases are true Syntactic sugar for using FilterMatchOps; And(Not(SmartsMatcher(pat1), And(Not(SmartsMatcher(pat2)), And(Not(Single...

Definition at line 397 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase().

## Member Function Documentation

## ◆ addPattern()

void RDKit::ExclusionList::addPattern | ( | const FilterMatcherBase & | base | ) |
| inline

Definition at line 420 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::copy(), RDKit::FilterMatcherBase::FilterMatcherBase(), RDKit::FilterMatcherBase::isValid(), and PRECONDITION.

## ◆ copy()

boost::shared_ptr< FilterMatcherBase > RDKit::ExclusionList::copy | ( |  | ) | const
| inlineoverridevirtual

copy copies the current FilterMatcherBase into one that can be passed around safely.

Implements RDKit::FilterMatcherBase.

Definition at line 452 of file FilterMatchers.h.

References ExclusionList().

## ◆ getMatches()

bool RDKit::ExclusionList::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect ) const
| inlineoverridevirtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 430 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

## ◆ getName()

std::string RDKit::ExclusionList::getName | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 401 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## ◆ hasMatch()

bool RDKit::ExclusionList::hasMatch | ( | const ROMol & | mol | ) | const
| inlineoverridevirtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 441 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

## ◆ isValid()

bool RDKit::ExclusionList::isValid | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::FilterMatcherBase.

Definition at line 411 of file FilterMatchers.h.

References isValid().

Referenced by getMatches(), hasMatch(), and isValid().

## ◆ setExclusionPatterns()

void RDKit::ExclusionList::setExclusionPatterns | ( | const std::vector< boost::shared_ptr< FilterMatcherBase > > & | offPatterns | ) |
| inline

Definition at line 425 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h